> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Warehouse

> Returns a single Warehouse for the WMS connection with the associated warehouse id.



## OpenAPI

````yaml get /wms/warehouses/{warehouse_id}
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /wms/warehouses/{warehouse_id}:
    get:
      tags:
        - wms
        - Warehouses
      summary: Get Warehouse
      description: >-
        Returns a single Warehouse for the WMS connection with the associated
        warehouse id.
      operationId: get_wms_get_warehouse
      parameters:
        - in: path
          name: warehouse_id
          schema:
            type: string
          required: true
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
        - in: header
          name: x-trackstar-access-token
          description: >-
            Your user's access token for a specific integration (ShipHero,
            Extensiv, etc).
          schema:
            type: string
            example: <x-trackstar-access-token>
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WmsWarehousesSingleItemEndpoint'
          description: Successful response
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    WmsWarehousesSingleItemEndpoint:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/WmsWarehouseApiItemSchema'
      additionalProperties: false
      title: WmsWarehousesSingleItemEndpoint
    HTTPError:
      properties:
        error:
          type: string
        id:
          type: string
          description: The ID of the item that wasn't found.
      required:
        - error
      type: object
      title: HTTPError
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError
    WmsWarehouseApiItemSchema:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the warehouse.
          example: warehouse_id
        created_date:
          type: string
          format: date-time
          description: The date the warehouse was created.
          example: '2022-01-01T00:00:00Z'
        updated_date:
          type: string
          format: date-time
          description: The date the warehouse was last updated.
          example: '2022-01-02T05:05:05Z'
        name:
          type: string
          description: The name of the warehouse.
          example: Bethlehem (PA)
        code:
          type:
            - string
            - 'null'
          description: The warehouse code.
          example: ABE-1
        address:
          $ref: '#/components/schemas/ShipFromAddress'
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        additional_fields:
          type: object
          description: Integration-specific fields
          example:
            key: value
          additionalProperties: {}
        trackstar_created_date:
          type: string
          format: date-time
          description: ''
        trackstar_updated_date:
          type: string
          format: date-time
          description: ''
      required:
        - additional_fields
        - address
        - code
        - created_date
        - id
        - name
        - trackstar_created_date
        - trackstar_tags
        - trackstar_updated_date
        - updated_date
      additionalProperties: false
      title: WmsWarehouseApiItemSchema
    ShipFromAddress:
      type: object
      properties:
        address1:
          type:
            - string
            - 'null'
          description: ''
          example: 123 Main St
        address2:
          type:
            - string
            - 'null'
          description: ''
          example: Apt 2
        address3:
          type:
            - string
            - 'null'
          description: ''
          example: Floor 3
        city:
          type:
            - string
            - 'null'
          description: ''
          example: New York
        state:
          type:
            - string
            - 'null'
          description: ''
          example: NY
        postal_code:
          type:
            - string
            - 'null'
          description: ''
          example: '10001'
        country:
          type:
            - string
            - 'null'
          description: ''
          example: United States
      required:
        - address1
        - address2
        - address3
        - city
        - country
        - postal_code
        - state
      additionalProperties: false
      title: ShipFromAddress

````